%define _unpackaged_files_terminate_build 1

%define qtdir %_qt3dir
%define beta beta8
%define beta_undr _%beta
%define beta_dot .%beta

Name:         kdebluetooth
Version:      1.0
Release:      alt12%beta_dot

Packager:     Mobile Development Team <mobile@packages.altlinux.org>
Group:        Communications
Summary:      KDE Bluetooth Framework
URL:          http://bluetooth.kmobiletools.org/
License:      GPL

Requires: %{get_dep kdelibs}
Requires: bluez-utils

Source0: %name-%version.tar.bz2
Patch1: %name-1.0-beta8-alt-link-fixes.patch
Patch2: faxhandler.desktop.patch

BuildPreReq: gcc-c++ kdelibs-devel
BuildPreReq: libopenobex-devel libXext-devel libXrender-devel
BuildPreReq: libXt-devel xml-utils
BuildPreReq: libdbus-qt-devel obexftp-devel liblockdev-devel

Requires(post,postun): desktop-file-utils
BuildPreReq: desktop-file-utils

%add_findreq_skiplist %_Kapps/%name/*/*


%description
A collection of Bluetooth utilities and modules for KDE based on BlueZ.


%package -n libkbluetooth
Group: System/Libraries
Summary: %name shared library
Requires: bluez-utils

%description -n libkbluetooth
Shared library for KDE Bluetooth Framework.


%package -n libkbluetooth-devel
Group: Development/KDE and QT
Summary: Development files for libkbluetooth
Requires: libkbluetooth = %version-%release

%description -n libkbluetooth-devel
Development files for libkbluetooth.


%prep
%setup
%patch1 -p1
%patch2 -p0
%make -f admin/Makefile.common

%build
%configure \
	--enable-final \
	%{subst_enable debug} \
	--disable-rpath
%make_build

%install
%make_install DESTDIR=%buildroot install
mv -f \
    %buildroot/%_datadir/desktop-directories/kde-settings-network-bluetooth.directory \
    %buildroot/%_datadir/desktop-directories/kde-settings-network-bluetooth-tmp.directory

%find_lang %name --with-kde

%post
%update_menus
%update_desktopdb
%postun
%clean_menus
%clean_desktopdb

%post -n libkbluetooth -p %post_ldconfig
%postun -n libkbluetooth -p %postun_ldconfig


%files -f %name.lang
%_bindir/kbluelock
%_bindir/kbluemon
%_bindir/kbluetooth
%_bindir/kbtobexclient
%_bindir/kinputwizard
%_bindir/kioobex_start

%_libdir/%name/

%_libkde/kcm_btpaired.*
%_libkde/kio_bluetooth.*
%_libkde/kio_obex.*
%_libkde/kio_sdp.*

%_Kapps/kdebluetooth/
%_Kapps/kbtobexclient/
%dir %_Kapps/konqsidebartng/
%dir %_Kapps/konqsidebartng/virtual_folders/
%dir %_Kapps/konqsidebartng/virtual_folders/services/
%_Kapps/konqsidebartng/virtual_folders/services/bluetooth_sidebarentry.desktop
%_Kapps/konqueror/servicemenus/kbtobexclient_sendfile.desktop

%_Kapplnk/.hidden/kioobex_start.desktop
%_Kautostart/kbluetooth.autostart.desktop
%_Kmimelnk/bluetooth/
%_Kservices/*
%_Kservicetypes/*
%_iconsdir/*/*/apps/*.png
%_iconsdir/*/*/apps/*.svg*
%_datadir/desktop-directories/kde-settings-network-bluetooth-tmp.directory
%_Kmenudir/*.desktop
%dir %_Kapplnk/Settings/Network/Bluetooth
%_Kapplnk/Settings/Network/Bluetooth/.directory
%_Kapplnk/Utilities/*.desktop
%doc AUTHORS ChangeLog README VERSION

%files -n libkbluetooth
%_libdir/libkbluetooth.so.*
%_libdir/libqobex.so.*

%files -n libkbluetooth-devel
%_includedir/*
%_libdir/libkbluetooth.so
%_libdir/libqobex.so


%changelog
* Wed Apr 09 2008 Andrey Rahmatullin <wrar@altlinux.ru> 1.0-alt12.beta8
- add update_desktopdb call (found by repocop)
- fix deprecated kde-common-devel macros

* Sat Sep 29 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.0-alt11.beta8
- 1.0 beta8

* Tue Sep 04 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.0-alt10.beta7
- 1.0 beta7
- enable _unpackaged_files_terminate_build

* Thu Aug 23 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.0-alt9.beta6
- 1.0 beta6

* Fri Aug 10 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.0-alt9.beta5
- 1.0 beta5

* Tue Jul 31 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.0-alt9.beta4
- 1.0 beta4

* Sat Jun 16 2007 Andrey Rahmatullin <wrar@altlinux.ru> 1.0-alt8.beta3
- 1.0 beta3
- package shared lib separately

* Wed May 02 2007 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt7.beta2
- add patch to startup passkey-agent

* Sat Nov 11 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0-alt6.beta2
- change default linkkeys file path to 
  /var/lib/bluetooth/11:11:11:11:11:11/linkkeys
- package multisynk plugin separately

* Mon Nov 06 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0-alt5.beta2
- 1.0 beta 2
- massive spec cleanup
- update Url:
- change Packager:
- update buildreqs
- re-enable multisynk support

* Tue Aug 22 2006 Eugene Suchkov <cityhawk@altlinux.ru> 1.0-alt4.beta1
- Build with openobex1.3

* Fri Jul 21 2006 Eugene Suchkov <cityhawk@altlinux.ru> 1.0-alt3.beta1
- KDE-3.5.2 fix
- gcc-4.1 fix

* Tue Mar 07 2006 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt2.beta1
- fix build

* Thu Sep 01 2005 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt1.beta1
- new version

* Tue Jun 07 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.cvs20050127-alt2
- fix compile with new libblues

* Thu Jan 27 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.cvs20050127-alt1
- build with gcc3.4

* Fri Jul 16 2004 Sergey V Turchin <zerg at altlinux dot org> 0.0.cvs20040716-alt1
- initial spec
